<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__ble__stack__host__error_8h" kind="file" language="C++">
    <compoundname>cy_ble_stack_host_error.h</compoundname>
    <includedby local="yes" refid="cy__ble_8h">cy_ble.h</includedby>
      <sectiondef kind="define">
      <memberdef id="group__group__ble__common__macros__error_1gac4bae307576b151a4956526ecfb8dfc7" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_SUCCESS</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>Success. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="37" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="37" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga3324e2d81c1733dd68932d4388ca3e7e" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_UNKNOWN_HCI_COMMAND</name>
        <initializer>(0x01u)</initializer>
        <briefdescription>
<para>Unknown HCI Command. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="40" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="40" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga69c1ded17d514586ed828167fc5385c9" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_NO_CONNECTION</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>Unknown Connection Identifier. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="43" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="43" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga583dc0e9b82db12619bbf4e29cb572f2" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_HARDWARE_FAILURE</name>
        <initializer>(0x03u)</initializer>
        <briefdescription>
<para>Hardware Failure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="46" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="46" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1gae3676b5a3013a7f30c3fddc997ed0914" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_MEMORY_FULL</name>
        <initializer>(0x07u)</initializer>
        <briefdescription>
<para>Memory Capacity Exceeded. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="62" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="62" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1gaad7fd0e1900ba29f57931a32cb1976f3" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_CONNECTION_TIMEOUT</name>
        <initializer>(0x08u)</initializer>
        <briefdescription>
<para>Connection Timeout. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="65" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="65" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga3e4ee153ba89404ac77c82fb44ce882e" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_MAX_NUMBER_OF_CONNECTIONS</name>
        <initializer>(0x09u)</initializer>
        <briefdescription>
<para>Connection Limit Exceeded. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="68" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="68" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1gace076797552e9517d9cc90cf9e8f758f" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_ACL_CONNECTION_ALREADY_EXISTS</name>
        <initializer>(0x0Bu)</initializer>
        <briefdescription>
<para>ACL Connection Already Exists. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="78" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="78" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga2dd6d3b42c20f5ccd3f542b2eb70f14d" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_COMMAND_DISALLOWED</name>
        <initializer>(0x0Cu)</initializer>
        <briefdescription>
<para>Command Disallowed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="81" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="81" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga013142382007f8b58efadc466390c3c9" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_INVALID_HCI_COMMAND_PARAMETERS</name>
        <initializer>(0x12u)</initializer>
        <briefdescription>
<para>Invalid HCI Command Parameters. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="103" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="103" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga774c432ee27bec22ac04c068f5ce1036" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_OTHER_END_TERMINATED_USER</name>
        <initializer>(0x13u)</initializer>
        <briefdescription>
<para>Remote User Terminated Connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="106" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="106" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1gac2eb5ef9a2f0fffbdd6a733c0c0108f7" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_OTHER_END_TERMINATED_LOW_RESOURCES</name>
        <initializer>(0x14u)</initializer>
        <briefdescription>
<para>Remote Device Terminated Connection due to Low Resources. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="109" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="109" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga65a93f5de451fab8e0bff93fdb663a60" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_OTHER_END_TERMINATED_POWER_OFF</name>
        <initializer>(0x15u)</initializer>
        <briefdescription>
<para>Remote Device Terminated Connection due to Power Off. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="112" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="112" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1gac7be9de871f266e3bd47bca0b72c3297" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_CONNECTION_TERMINATED_BY_LOCAL_HOST</name>
        <initializer>(0x16u)</initializer>
        <briefdescription>
<para>Connection Terminated By Local Host. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="115" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="115" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga6632ebfcf95e9bb8f9c92f509c1c62a6" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_REPEATED_ATTEMPTS</name>
        <initializer>(0x17u)</initializer>
        <briefdescription>
<para>Repeated Attempts. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="118" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="118" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1gaca12b6172ae94c279fd113a65a950384" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_CONTROLLER_BUSY</name>
        <initializer>(0x3Au)</initializer>
        <briefdescription>
<para>Controller Busy. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="224" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="224" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga82d0c9ec29c4ba901cccde9bafbeb1db" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_UNACCEPTEBALE_CONNECTION_INTERVAL</name>
        <initializer>(0x3Bu)</initializer>
        <briefdescription>
<para>Unacceptable Connection Parameters. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="227" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="227" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga88a5f38e1e37f5fe462296ffc132c185" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_DIRECTED_ADVERTISING_TIMEOUT</name>
        <initializer>(0x3Cu)</initializer>
        <briefdescription>
<para>Directed Advertising Timeout. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="230" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="230" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga9ab71764f77d033a0224ca8c8d283689" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_CONNECTION_TREMINATED_DUE_TO_MIC_FAILURE</name>
        <initializer>(0x3Du)</initializer>
        <briefdescription>
<para>Connection Terminated due to MIC Failure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="233" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="233" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga751f9dbbf341e3c5c9bb0826642fe24c" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_CONNECTION_FAILED_TO_BE_ESTABLISHED</name>
        <initializer>(0x3Eu)</initializer>
        <briefdescription>
<para>Connection Failed to be Established. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="236" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="236" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga54fa4a11dcc1c4340529e0c6da021812" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_MAC_CONNECTION_FAILED</name>
        <initializer>(0x3Fu)</initializer>
        <briefdescription>
<para>MAC Connection Failed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="239" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="239" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga0fc43eeaf3aa390e4791742be5c17faa" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_COARSE_CLK_ADJUSTMENT</name>
        <initializer>(0x40u)</initializer>
        <briefdescription>
<para>Coarse Clock Adjustment Rejected but Will Try to Adjust Using Clock Dragging. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="242" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="242" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1gac847360936fefa00e40e4ebe860e0341" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_TYPE0_SUBMAP_NOT_DEFINED</name>
        <initializer>(0x41u)</initializer>
        <briefdescription>
<para>Type0 Submap Not Defined. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="245" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="245" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga72e5685561a3c06399d6d4dd17d3f928" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_UNKNOWN_ADV_IDENTIFIER</name>
        <initializer>(0x42u)</initializer>
        <briefdescription>
<para>Unknown Advertising Identifier. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="248" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="248" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga97da86e55f49a60cfd87e393cf216e18" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_LIMIT_REACHED</name>
        <initializer>(0x43u)</initializer>
        <briefdescription>
<para>Limit Reached. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="251" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="251" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga6bd896821b778b6ca6c7f6618bb27e41" kind="define" prot="public" static="no">
        <name>CY_BLE_HCI_ERROR_OPERATION_CANCELLED_BY_HOST</name>
        <initializer>(0x44u)</initializer>
        <briefdescription>
<para>Operation Cancelled by Host. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="254" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="254" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1gaed17ac083f15eff5499a6a9716083586" kind="define" prot="public" static="no">
        <name>CY_BLE_HW_ERR_SYNC_LOST</name>
        <initializer>0x01</initializer>
        <briefdescription>
<para>HCI transport sync lost error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="260" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="260" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga76eb792d3f4e074043616a1045bec771" kind="define" prot="public" static="no">
        <name>CY_BLE_HW_ERR_UNKNOWN_PKT</name>
        <initializer>0x02</initializer>
        <briefdescription>
<para>HCI transport unknown pkt. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="263" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="263" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga9ab2e9e95f7a734d3eb8e827c14ebb4f" kind="define" prot="public" static="no">
        <name>CY_BLE_HW_ERR_LEN_EXCEEDED</name>
        <initializer>0x03</initializer>
        <briefdescription>
<para>HCI transport pkt length exceeded. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="266" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="266" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1gaed4f4b9afe0bde9c81b56a61f60d8937" kind="define" prot="public" static="no">
        <name>CY_BLE_HW_ERR_CMD_NO_BUFFER</name>
        <initializer>0X04</initializer>
        <briefdescription>
<para>HCI transport no cmd pkt buffer available. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="269" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="269" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1gad7816303f20e3fdf642be29a8a587e84" kind="define" prot="public" static="no">
        <name>CY_BLE_HW_ERR_ACL_NO_BUFFER</name>
        <initializer>0X05</initializer>
        <briefdescription>
<para>HCI transport no acl pkt buffer available. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="272" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="272" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1gae32609ed3ec1f641c39d645a86828eb6" kind="define" prot="public" static="no">
        <name>CY_BLE_HW_ERR_SYNC_NO_BUFFER</name>
        <initializer>0X06</initializer>
        <briefdescription>
<para>HCI transport no sync pkt buffer available. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="275" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="275" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1gaf18c74ee0b9a41d52d6489bf052abd43" kind="define" prot="public" static="no">
        <name>CY_BLE_HW_ERR_CMD_LEN_EXCEEDED</name>
        <initializer>0X07</initializer>
        <briefdescription>
<para>HCI transport cmd pkt length exceeded. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="278" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="278" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga73e3c566811e2a7979974dd80da91458" kind="define" prot="public" static="no">
        <name>CY_BLE_HW_ERR_ACL_LEN_EXCEEDED</name>
        <initializer>0X08</initializer>
        <briefdescription>
<para>HCI transport acl pkt length exceeded. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="281" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="281" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1gadab1fd0e79fce95dc9528655aed09dd4" kind="define" prot="public" static="no">
        <name>CY_BLE_HW_ERR_SYNC_LEN_EXCEEDED</name>
        <initializer>0X09</initializer>
        <briefdescription>
<para>HCI transport sync pkt length exceeded. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="284" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="284" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga49d09b427f7c2ae754123fea7ef0c5f4" kind="define" prot="public" static="no">
        <name>CY_BLE_HW_ERR_WRNG_ACL_DATA_PARAM</name>
        <initializer>0x0A</initializer>
        <briefdescription>
<para>HCI transport wrong parameter for acl pkt. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="287" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="287" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1ga4dba6571d88d2f31d26ab1f7abea6a28" kind="define" prot="public" static="no">
        <name>CY_BLE_HW_ERR_WRNG_SYNC_DATA_PARAM</name>
        <initializer>0X0B</initializer>
        <briefdescription>
<para>HCI transport wrong parameter for sync pkt. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="290" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="290" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1gaddd77ccf71e2fbc4f1341ddd9f81a4e0" kind="define" prot="public" static="no">
        <name>CY_BLE_HW_ERR_HW_INIT_FAILURE</name>
        <initializer>0x0C</initializer>
        <briefdescription>
<para>HW init failure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="293" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="293" />
      </memberdef>
      <memberdef id="group__group__ble__common__macros__error_1gad98b341c84c5a0ccf7fe7e079e0052d7" kind="define" prot="public" static="no">
        <name>CY_BLE_HW_ERR_PILO_CALIB_FAILURE</name>
        <initializer>0x0D</initializer>
        <briefdescription>
<para>HCI_ERR_HW_PILO_CALIB_FAILURE PILO(LFCLK) Calibration failed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" bodystart="296" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" line="296" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="2"><highlight class="comment">*<sp />\file<sp />cy_ble_stack_host_error.h</highlight></codeline>
<codeline lineno="3"><highlight class="comment">*<sp />\version<sp />3.50</highlight></codeline>
<codeline lineno="4"><highlight class="comment">*</highlight></codeline>
<codeline lineno="5"><highlight class="comment">*<sp />\brief</highlight></codeline>
<codeline lineno="6"><highlight class="comment">*<sp /><sp />This<sp />file<sp />contains<sp />all<sp />the<sp />spec<sp />defined<sp />error<sp />code<sp />in<sp />Core<sp />Spec<sp />5.0,<sp />Vol2,<sp />Part<sp />D</highlight></codeline>
<codeline lineno="7"><highlight class="comment">*<sp /></highlight></codeline>
<codeline lineno="8"><highlight class="comment">*<sp />Related<sp />Document:</highlight></codeline>
<codeline lineno="9"><highlight class="comment">*<sp /><sp />BLE<sp />Standard<sp />Spec<sp />-<sp />CoreV5.0</highlight></codeline>
<codeline lineno="10"><highlight class="comment">*<sp /></highlight></codeline>
<codeline lineno="11"><highlight class="comment">********************************************************************************</highlight></codeline>
<codeline lineno="12"><highlight class="comment">*<sp />\copyright</highlight></codeline>
<codeline lineno="13"><highlight class="comment">*<sp />Copyright<sp />2017-2020,<sp />Cypress<sp />Semiconductor<sp />Corporation.<sp />All<sp />rights<sp />reserved.</highlight></codeline>
<codeline lineno="14"><highlight class="comment">*<sp />You<sp />may<sp />use<sp />this<sp />file<sp />only<sp />in<sp />accordance<sp />with<sp />the<sp />license,<sp />terms,<sp />conditions,</highlight></codeline>
<codeline lineno="15"><highlight class="comment">*<sp />disclaimers,<sp />and<sp />limitations<sp />in<sp />the<sp />end<sp />user<sp />license<sp />agreement<sp />accompanying</highlight></codeline>
<codeline lineno="16"><highlight class="comment">*<sp />the<sp />software<sp />package<sp />with<sp />which<sp />this<sp />file<sp />was<sp />provided.</highlight></codeline>
<codeline lineno="17"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />CY_BLE_STACK_HOST_ERROR_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_STACK_HOST_ERROR_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="32"><highlight class="comment">**<sp />Constants</highlight></codeline>
<codeline lineno="33"><highlight class="comment">***************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="comment">/*<sp />HCI<sp />Status<sp />error<sp />code<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_SUCCESS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x00u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_UNKNOWN_HCI_COMMAND<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_NO_CONNECTION<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x02u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_HARDWARE_FAILURE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x03u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_PAGE_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x04u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_AUTHENTICATION_FAILURE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x05u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_KEY_MISSING<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x06u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_MEMORY_FULL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x07u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_CONNECTION_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x08u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_MAX_NUMBER_OF_CONNECTIONS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x09u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_MAX_NUMBER_OF_SCO_CONNECTIONS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0Au)</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_ACL_CONNECTION_ALREADY_EXISTS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0Bu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_COMMAND_DISALLOWED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0Cu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_HOST_REJECTED_LIMITED_RESOURCES<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0Du)</highlight><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_HOST_REJECTED_SECURITY_REASONS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0Eu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_HOST_REJECTED_PERSONAL_DEVICE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0Fu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_HOST_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x10u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_UNSUPPORTED_FEATURE_OR_PARAMETER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x11u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_INVALID_HCI_COMMAND_PARAMETERS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x12u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="104"><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_OTHER_END_TERMINATED_USER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x13u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_OTHER_END_TERMINATED_LOW_RESOURCES<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x14u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_OTHER_END_TERMINATED_POWER_OFF<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x15u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_CONNECTION_TERMINATED_BY_LOCAL_HOST<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x16u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_REPEATED_ATTEMPTS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x17u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_PAIRING_NOT_ALLOWED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x18u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_UNKNOWN_LMP_PDU<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x19u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_UNSUPPORTED_REMOTE_FEATURE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x1Au)</highlight><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_SCO_OFFSET_REJECTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x1Bu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="133"><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_SCO_INTERVAL_REJECTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x1Cu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_SCO_AIR_MODE_REJECTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x1Du)</highlight><highlight class="normal" /></codeline>
<codeline lineno="139"><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_INVALID_LMP_PARAMETERS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x1Eu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="142"><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_UNSPECIFIED_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x1Fu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_UNSUPPORTED_LMP_PARAMETER_VALUE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x20u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="148"><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_ROLE_CHANGE_NOT_ALLOWED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x21u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="151"><highlight class="normal" /></codeline>
<codeline lineno="153"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_LMP_RESPONSE_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x22u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal" /></codeline>
<codeline lineno="156"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_LMP_ERROR_TRANSACTION_COLLISION<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x23u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="157"><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_LMP_PDU_NOT_ALLOWED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x24u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_ENCRYPTION_MODE_NOT_ACCEPTABLE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x25u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_LINK_KEY_CANNOT_BE_USED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x26u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_QOS_IS_NOT_SUPPORTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x27u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_INSTANT_PASSED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x28u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_PAIRING_WITH_UNIT_KEY_NOT_SUPPORTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x29u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_DIFFERENT_TRANSACTION_COLLISION<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x2Au)</highlight><highlight class="normal" /></codeline>
<codeline lineno="178"><highlight class="normal" /></codeline>
<codeline lineno="179"><highlight class="normal" /><highlight class="comment">/*<sp />0x2B<sp />Reserved<sp />for<sp />Future<sp />Use<sp />[E6305]<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="normal" /></codeline>
<codeline lineno="182"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_QOS_UNACCEPTABLE_PARAMETER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x2Cu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="normal" /></codeline>
<codeline lineno="185"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_QOS_REJECTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x2Du)</highlight><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="normal" /></codeline>
<codeline lineno="188"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_CHANNEL_CLASSIFICATION_NOT_SUPPORTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x2Eu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="normal" /></codeline>
<codeline lineno="191"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_INSUFFICIENT_SECURITY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x2Fu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="normal" /></codeline>
<codeline lineno="194"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_PARAMETER_OUT_OF_MANDATORY_RANGE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x30u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="195"><highlight class="normal" /></codeline>
<codeline lineno="196"><highlight class="normal" /><highlight class="comment">/*<sp />0x31<sp />Reserved<sp />for<sp />Future<sp />Use<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal" /></codeline>
<codeline lineno="199"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_ROLE_SWITCH_PENDING<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x32u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="200"><highlight class="normal" /></codeline>
<codeline lineno="201"><highlight class="normal" /><highlight class="comment">/*<sp />0x33<sp />Reserved<sp />for<sp />Future<sp />Use<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="202"><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_RESERVED_SLOT_VIOLATION<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x34u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="205"><highlight class="normal" /></codeline>
<codeline lineno="207"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_ROLE_SWITCH_FAILED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x35u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="208"><highlight class="normal" /></codeline>
<codeline lineno="210"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_ENTENDED_INQUIRY_RESPONSE_TOO_LARGE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x36u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="211"><highlight class="normal" /></codeline>
<codeline lineno="213"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_SECURE_SIMPLE_PAIRING_NOT_SUPPORTED_BY_HOST<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x37u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="214"><highlight class="normal" /></codeline>
<codeline lineno="216"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_HOST_BUSY_PAIRING<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x38u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="217"><highlight class="normal" /></codeline>
<codeline lineno="219"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_CONNECTION_REJETED_DUE_TO_NO_SUITABLE_SCHANNEL_FOUND<sp /><sp /><sp /><sp />(0x39u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="220"><highlight class="normal" /></codeline>
<codeline lineno="224"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_CONTROLLER_BUSY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x3Au)</highlight><highlight class="normal" /></codeline>
<codeline lineno="225"><highlight class="normal" /></codeline>
<codeline lineno="227"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_UNACCEPTEBALE_CONNECTION_INTERVAL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x3Bu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="228"><highlight class="normal" /></codeline>
<codeline lineno="230"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_DIRECTED_ADVERTISING_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x3Cu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="231"><highlight class="normal" /></codeline>
<codeline lineno="233"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_CONNECTION_TREMINATED_DUE_TO_MIC_FAILURE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x3Du)</highlight><highlight class="normal" /></codeline>
<codeline lineno="234"><highlight class="normal" /></codeline>
<codeline lineno="236"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_CONNECTION_FAILED_TO_BE_ESTABLISHED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x3Eu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="237"><highlight class="normal" /></codeline>
<codeline lineno="239"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_MAC_CONNECTION_FAILED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x3Fu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="240"><highlight class="normal" /></codeline>
<codeline lineno="242"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_COARSE_CLK_ADJUSTMENT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x40u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="normal" /></codeline>
<codeline lineno="245"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_TYPE0_SUBMAP_NOT_DEFINED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x41u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="246"><highlight class="normal" /></codeline>
<codeline lineno="248"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_UNKNOWN_ADV_IDENTIFIER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x42u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="249"><highlight class="normal" /></codeline>
<codeline lineno="251"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_LIMIT_REACHED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x43u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="252"><highlight class="normal" /></codeline>
<codeline lineno="254"><highlight class="preprocessor">#define<sp />CY_BLE_HCI_ERROR_OPERATION_CANCELLED_BY_HOST<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x44u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="255"><highlight class="normal" /></codeline>
<codeline lineno="256"><highlight class="normal" /></codeline>
<codeline lineno="257"><highlight class="normal" /><highlight class="comment">/*<sp />Hardware<sp />Error<sp />event<sp />-<sp />Error<sp />Codes<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="258"><highlight class="normal" /></codeline>
<codeline lineno="260"><highlight class="preprocessor">#define<sp />CY_BLE_HW_ERR_SYNC_LOST<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01</highlight><highlight class="normal" /></codeline>
<codeline lineno="261"><highlight class="normal" /></codeline>
<codeline lineno="263"><highlight class="preprocessor">#define<sp />CY_BLE_HW_ERR_UNKNOWN_PKT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x02</highlight><highlight class="normal" /></codeline>
<codeline lineno="264"><highlight class="normal" /></codeline>
<codeline lineno="266"><highlight class="preprocessor">#define<sp />CY_BLE_HW_ERR_LEN_EXCEEDED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x03</highlight><highlight class="normal" /></codeline>
<codeline lineno="267"><highlight class="normal" /></codeline>
<codeline lineno="269"><highlight class="preprocessor">#define<sp />CY_BLE_HW_ERR_CMD_NO_BUFFER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0X04</highlight><highlight class="normal" /></codeline>
<codeline lineno="270"><highlight class="normal" /></codeline>
<codeline lineno="272"><highlight class="preprocessor">#define<sp />CY_BLE_HW_ERR_ACL_NO_BUFFER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0X05</highlight><highlight class="normal" /></codeline>
<codeline lineno="273"><highlight class="normal" /></codeline>
<codeline lineno="275"><highlight class="preprocessor">#define<sp />CY_BLE_HW_ERR_SYNC_NO_BUFFER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0X06</highlight><highlight class="normal" /></codeline>
<codeline lineno="276"><highlight class="normal" /></codeline>
<codeline lineno="278"><highlight class="preprocessor">#define<sp />CY_BLE_HW_ERR_CMD_LEN_EXCEEDED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0X07</highlight><highlight class="normal" /></codeline>
<codeline lineno="279"><highlight class="normal" /></codeline>
<codeline lineno="281"><highlight class="preprocessor">#define<sp />CY_BLE_HW_ERR_ACL_LEN_EXCEEDED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0X08</highlight><highlight class="normal" /></codeline>
<codeline lineno="282"><highlight class="normal" /></codeline>
<codeline lineno="284"><highlight class="preprocessor">#define<sp />CY_BLE_HW_ERR_SYNC_LEN_EXCEEDED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0X09</highlight><highlight class="normal" /></codeline>
<codeline lineno="285"><highlight class="normal" /></codeline>
<codeline lineno="287"><highlight class="preprocessor">#define<sp />CY_BLE_HW_ERR_WRNG_ACL_DATA_PARAM<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0A</highlight><highlight class="normal" /></codeline>
<codeline lineno="288"><highlight class="normal" /></codeline>
<codeline lineno="290"><highlight class="preprocessor">#define<sp />CY_BLE_HW_ERR_WRNG_SYNC_DATA_PARAM<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0X0B</highlight><highlight class="normal" /></codeline>
<codeline lineno="291"><highlight class="normal" /></codeline>
<codeline lineno="293"><highlight class="preprocessor">#define<sp />CY_BLE_HW_ERR_HW_INIT_FAILURE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0C</highlight><highlight class="normal" /></codeline>
<codeline lineno="294"><highlight class="normal" /></codeline>
<codeline lineno="296"><highlight class="preprocessor">#define<sp />CY_BLE_HW_ERR_PILO_CALIB_FAILURE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0D</highlight><highlight class="normal" /></codeline>
<codeline lineno="297"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="298"><highlight class="normal">}</highlight></codeline>
<codeline lineno="299"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="300"><highlight class="normal" /></codeline>
<codeline lineno="302"><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_BLE_STACK_HOST_ERROR_H_<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="303"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_error.h" />
  </compounddef>
</doxygen>